#ifndef LIB_HPP_
#define LIB_HPP_

#include "config.hpp"
#include "boost/exception/all.hpp"
#include <exception>

typedef boost::error_info< struct tag_errinfo , int > errinfo_t ;

struct Exception
    : virtual boost::exception
    , virtual std::exception
{
    virtual LIB_DECL
    ~Exception() throw();

    LIB_DECL
    const char *
    what() const throw();
};

LIB_DECL
void
test_throw();

#endif // LIB_HPP_
